#include <iostream>

using namespace std;
struct ember{
int x,y;
};
int main()
{
    int n,i,s,o,j;
    cin>>n;
    ember csalo[n];
    for(i=0;i<n;i++)
    {
        cin>>csalo[i].x;
        cin>>csalo[i].y;
    }
    int a=0,b=0;
      int db=0;
    int maxa=-1000000, minb=1000000;
     for(i=0;i<n;i++)
     {

        for(j=i;j<n;j++)
        {
         if(csalo[i].x==csalo[j+1].x)
           {
                a=abs(csalo[i].y)+abs(csalo[j+1].y);
                b=abs(csalo[i].y)+abs(csalo[j+1].y);
                if(a>maxa)
                    maxa=a;
                if(b<minb)
                    minb=b;


                     //cout<<maxa<<endl;
     //cout<<minb<<endl;
           }

         }
     }

     if(maxa==2*minb)
        {
              db++;
        cout<<db;
        }
     else if(minb==2*maxa)
      {
            db++;
        cout<<db;
      }
     else
        cout<<0;
    return 0;
}